function [ M ] = remesh_gt( M )
    M_remeshed = remesh(M, struct('verbose',false,'vertices',1e4));

    % keep a LUT to the original vertex indices
    tree = ann('init', M.VERT');
    M_remeshed.orig_idx = ann('search', tree, M_remeshed.VERT', 1);
    ann('deinit', tree); clear tree;

    % map from high-res to remeshed shape
    tree = ann('init', M_remeshed.VERT');
    M_remeshed.remesh_idx = ann('search', tree, M.VERT', 1);
    ann('deinit', tree); clear tree;
    
    M = M_remeshed;
end

